Debian Bug report logs - #393639
RM: libsaxpath-java -- RoM; obsolete, abandoned upstream, superseded by libjaxen-java

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marcus Better <marcus@better.se>

Date: Tue, 17 Oct 2006 09:49:10 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marcus Better <marcus@better.se>, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393639; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
New Bug report received and forwarded. Copy sent to Marcus Better <marcus@better.se>, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>, James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ftp.debian.org: RM: libsaxpath-java -- obsolete, dead upstream
Date: Tue, 17 Oct 2006 10:48:30 +0200
Package: ftp.debian.org
Severity: normal

Please remove libsaxpath-java from the archive.

It has been merged into libjaxen-java, which is in the
archive. Saxpath is dead upstream since 2004-09-15 and should
therefore be removed.

See
  http://sourceforge.net/projects/saxpath/
for details.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-kelev
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393639; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 393639@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 393639@bugs.debian.org, pkg-java-maintainers@lists.alioth.debian.org
Subject: Remove libsaxpath-java?
Date: Sat, 04 Nov 2006 19:24:03 +0100
[Message part 1 (text/plain, inline)]
Hi Debian Java Maintainers

Do you agree with this bugreport and should libsaxpath-java be removed from
the archive?

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393639; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Arnaud Vandyck" <avandyck@gmail.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #17 received at 393639@bugs.debian.org (full text, mbox):

From: "Arnaud Vandyck" <avandyck@gmail.com>
To: "Luk Claes" <luk@debian.org>, 393639@bugs.debian.org
Subject: Re: Remove libsaxpath-java?
Date: Sun, 5 Nov 2006 09:46:44 +0100
On 11/4/06, Luk Claes <luk@debian.org> wrote:
> Hi Debian Java Maintainers
>
> Do you agree with this bugreport and should libsaxpath-java be removed from
> the archive?

Do we still have some package that depends on libsaxpath-java? If yes,
we have to migrate them to libjaxen-java and see if it's ok.

I'm sorry, I don't have time to look at this right now. But I'm ok to
update packages depending on libsaxpath-java.

Cheers,

-- 
Arnaud Vandyck



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393639; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 393639@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Arnaud Vandyck <avandyck@gmail.com>
Cc: 393639@bugs.debian.org
Subject: Re: Remove libsaxpath-java?
Date: Sun, 05 Nov 2006 15:19:04 +0100
[Message part 1 (text/plain, inline)]
Arnaud Vandyck wrote:
> On 11/4/06, Luk Claes <luk@debian.org> wrote:
>> Hi Debian Java Maintainers
>>
>> Do you agree with this bugreport and should libsaxpath-java be removed
>> from
>> the archive?
> 
> Do we still have some package that depends on libsaxpath-java? If yes,
> we have to migrate them to libjaxen-java and see if it's ok.

Apparantly libjdom0-java and libjdom1-java have libsaxpath-java in their
Build-Depends-Indep...

> I'm sorry, I don't have time to look at this right now. But I'm ok to
> update packages depending on libsaxpath-java.

No problem :-)

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#393639; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 393639@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 393639@bugs.debian.org
Subject: [Fwd: Re: Remove libsaxpath-java?]
Date: Sun, 05 Nov 2006 17:39:40 +0100
[Message part 1 (text/plain, inline)]

-------- Original Message --------
Subject: Re: Remove libsaxpath-java?
Date: Sun, 5 Nov 2006 17:05:52 +0100
From: Arnaud Vandyck <avandyck@gmail.com>
To: Luk Claes <luk@debian.org>
References: <454CDAC3.4050809@debian.org>	
<a330e9100611050046t2051be1au8d00ae83d22bed65@mail.gmail.com>	
<454DF2D8.6090500@debian.org>

On 11/5/06, Luk Claes <luk@debian.org> wrote:
> Arnaud Vandyck wrote:
> > On 11/4/06, Luk Claes <luk@debian.org> wrote:
> >> Do you agree with this bugreport and should libsaxpath-java be
> >> removed from the archive?
> > Do we still have some package that depends on libsaxpath-java? If yes,
> > we have to migrate them to libjaxen-java and see if it's ok.
> Apparantly libjdom0-java and libjdom1-java have libsaxpath-java in their
> Build-Depends-Indep...

I've just uploaded the 2 libs. If no other lib depends on
libsaxpath-java, it can be removed from the archive.

Many thanks,

-- 
Arnaud Vandyck

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marcus Better <marcus@better.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 393639-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 393639-close@bugs.debian.org
Cc: libsaxpath-java@packages.debian.org, libsaxpath-java@packages.qa.debian.org
Subject: Bug#393639: fixed
Date: Mon, 25 Dec 2006 00:20:59 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libsaxpath-java | 1.0.0FCS-6 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 393639@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 02:32:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:48:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.